<?xml version="1.0" encoding="UTF-8"?>
<!--
 - Desc:    This file is part of the eCromedos document preparation system
 - Date:    2006/03/09
 - Author:  Tobias Koch (tkoch@ecromedos.net)
 - License: GNU General Public License, version 2
 - URL:     http://www.ecromedos.net
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--
  - Set program listing
-->
<xsl:template match="listing">
	<xsl:apply-templates select=".//code"/>
</xsl:template>

<!--
  - Set program listing helper
-->
<xsl:template match="code">
	<xsl:variable name="bgcolor">
		<xsl:choose>
			<xsl:when test="@bgcolor">
				<xsl:value-of select="normalize-space(@bgcolor)"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>#ffffff</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<table border="0" cellspacing="0" cellpadding="0" width="100%" class="block-element">
		<tr>
			<td style="background-color: {$bgcolor}">
				<pre class="listing">
					<xsl:apply-templates/>
				</pre>
			</td>
		</tr>
	</table>
</xsl:template>


</xsl:stylesheet>
